package com.zt.plat.module.qms.business.config.dal.mapper;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.zt.plat.module.qms.business.config.controller.vo.*;
import com.zt.plat.module.qms.business.config.controller.vo.ConfigAssayMethodProjectParameterPageReqVO;
import com.zt.plat.module.qms.business.config.dal.dataobject.ConfigAssayMethodProjectParameterDO;
import com.zt.plat.framework.mybatis.core.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Mapper;

/**
 * 检测方法分析项目参数配置 Mapper
 *
 * @author 后台管理
 */
@Mapper
public interface ConfigAssayMethodProjectParameterMapper extends BaseMapperX<ConfigAssayMethodProjectParameterDO> {

    default PageResult<ConfigAssayMethodProjectParameterDO> selectPage(ConfigAssayMethodProjectParameterPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ConfigAssayMethodProjectParameterDO>()
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getConfigAssayMethodProjectId, reqVO.getConfigAssayMethodProjectId())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getDictionaryParameterId, reqVO.getDictionaryParameterId())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getDataType, reqVO.getDataType())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getDecimalPosition, reqVO.getDecimalPosition())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getDefaultValue, reqVO.getDefaultValue())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getIsNull, reqVO.getIsNull())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getFormula, reqVO.getFormula())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getIsShow, reqVO.getIsShow())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getSortNo, reqVO.getSortNo())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getSystemDepartmentCode, reqVO.getSystemDepartmentCode())
                .betweenIfPresent(ConfigAssayMethodProjectParameterDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getRemark, reqVO.getRemark())
                .eqIfPresent(ConfigAssayMethodProjectParameterDO::getVersion, reqVO.getVersion())
                .orderByDesc(ConfigAssayMethodProjectParameterDO::getId));
    }

}